com.sun.java.xml.ns.javaee

## Class PersistenceContextRefType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.PersistenceContextRefType

-     public class PersistenceContextRefType
      extends Object

  [ The persistence-context-ref element contains a declaration of Deployment Component's reference to a persistence context associated within a Deployment Component's environment. It consists of: - an optional description - the persistence context reference name - an optional persistence unit name. If not specified, the default persistence unit is assumed. - an optional specification as to whether the persistence context type is Transaction or Extended. If not specified, Transaction is assumed. - an optional list of persistence properties - optional injection targets Examples: myPersistenceContext myPersistenceContext PersistenceUnit1 Extended

  Java-Klasse für persistence-context-refType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="persistence-context-refType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="description" type="{http://java.sun.com/xml/ns/javaee}descriptionType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="persistence-context-ref-name" type="{http://java.sun.com/xml/ns/javaee}jndi-nameType"/>
               <element name="persistence-unit-name" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="persistence-context-type" type="{http://java.sun.com/xml/ns/javaee}persistence-context-typeType" minOccurs="0"/>
               <element name="persistence-property" type="{http://java.sun.com/xml/ns/javaee}propertyType" maxOccurs="unbounded" minOccurs="0"/>
               <group ref="{http://java.sun.com/xml/ns/javaee}resourceBaseGroup"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<DescriptionType>` | `description`
    `protected String` | `id`
    `protected List<InjectionTargetType>` | `injectionTarget`
    `protected XsdStringType` | `mappedName`
    `protected JndiNameType` | `persistenceContextRefName`
    `protected PersistenceContextTypeType` | `persistenceContextType`
    `protected List<PropertyType>` | `persistenceProperty`
    `protected String` | `persistenceUnitName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistenceContextRefType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<InjectionTargetType>` | `getInjectionTarget()` Gets the value of the injectionTarget property.
    `XsdStringType` | `getMappedName()` Ruft den Wert der mappedName-Eigenschaft ab.
    `JndiNameType` | `getPersistenceContextRefName()` Ruft den Wert der persistenceContextRefName-Eigenschaft ab.
    `PersistenceContextTypeType` | `getPersistenceContextType()` Ruft den Wert der persistenceContextType-Eigenschaft ab.
    `List<PropertyType>` | `getPersistenceProperty()` Gets the value of the persistenceProperty property.
    `String` | `getPersistenceUnitName()` Ruft den Wert der persistenceUnitName-Eigenschaft ab.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setMappedName(XsdStringType value)` Legt den Wert der mappedName-Eigenschaft fest.
    `void` | `setPersistenceContextRefName(JndiNameType value)` Legt den Wert der persistenceContextRefName-Eigenschaft fest.
    `void` | `setPersistenceContextType(PersistenceContextTypeType value)` Legt den Wert der persistenceContextType-Eigenschaft fest.
    `void` | `setPersistenceUnitName(String value)` Legt den Wert der persistenceUnitName-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### persistenceContextRefName

          protected JndiNameType persistenceContextRefName

    - #### persistenceUnitName

          protected String persistenceUnitName

    - #### persistenceContextType

          protected PersistenceContextTypeType persistenceContextType

    - #### persistenceProperty

          protected List<PropertyType> persistenceProperty

    - #### mappedName

          protected XsdStringType mappedName

    - #### injectionTarget

          protected List<InjectionTargetType> injectionTarget

    - #### id

          protected String id

  - ### Constructor Detail

    - #### PersistenceContextRefType

          public PersistenceContextRefType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getPersistenceContextRefName

          public JndiNameType getPersistenceContextRefName()

      Ruft den Wert der persistenceContextRefName-Eigenschaft ab.
      Returns:
        possible object is `JndiNameType`

    - #### setPersistenceContextRefName

          public void setPersistenceContextRefName(JndiNameType value)

      Legt den Wert der persistenceContextRefName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JndiNameType`

    - #### getPersistenceUnitName

          public String getPersistenceUnitName()

      Ruft den Wert der persistenceUnitName-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setPersistenceUnitName

          public void setPersistenceUnitName(String value)

      Legt den Wert der persistenceUnitName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getPersistenceContextType

          public PersistenceContextTypeType getPersistenceContextType()

      Ruft den Wert der persistenceContextType-Eigenschaft ab.
      Returns:
        possible object is `PersistenceContextTypeType`

    - #### setPersistenceContextType

          public void setPersistenceContextType(PersistenceContextTypeType value)

      Legt den Wert der persistenceContextType-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `PersistenceContextTypeType`

    - #### getPersistenceProperty

          public List<PropertyType> getPersistenceProperty()

      Gets the value of the persistenceProperty property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the persistenceProperty property.

      For example, to add a new item, do as follows:

              getPersistenceProperty().add(newItem);

      Objects of the following type(s) are allowed in the list `PropertyType`

    - #### getMappedName

          public XsdStringType getMappedName()

      Ruft den Wert der mappedName-Eigenschaft ab.
      Returns:
        possible object is `XsdStringType`

    - #### setMappedName

          public void setMappedName(XsdStringType value)

      Legt den Wert der mappedName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `XsdStringType`

    - #### getInjectionTarget

          public List<InjectionTargetType> getInjectionTarget()

      Gets the value of the injectionTarget property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the injectionTarget property.

      For example, to add a new item, do as follows:

              getInjectionTarget().add(newItem);

      Objects of the following type(s) are allowed in the list `InjectionTargetType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.